# AccessRule

interface AccessRule

Access rule associated with an Eclipse classpath entry.

#### Since

3.0

#### See also

<a href="http://help.eclipse.org/mars/topic/org.eclipse.jdt.doc.isv/reference/api/org/eclipse/jdt/core/IAccessRule.html">IAccessRule Javadoc</a>

## Functions

getKind
Link copied to clipboard
abstract fun getKind(): Int
Returns the encoded type of the access rule.
getPattern
Link copied to clipboard
abstract fun getPattern(): String
Returns the file pattern of this access rule.